%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  formulaic
%global packver   0.0.8
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.0.8
Release:          1%{?dist}%{?buildtag}
Summary:          Dynamic Generation and Quality Checks of Formula Objects

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.2.0
Requires:         R-core >= 3.2.0
BuildArch:        noarch
BuildRequires:    R-CRAN-data.table 
BuildRequires:    R-methods 
Requires:         R-CRAN-data.table 
Requires:         R-methods 

%description
Many statistical models and analyses in R are implemented through formula
objects. The formulaic package creates a unified approach for
programmatically and dynamically generating formula objects. Users may
specify the outcome and inputs of a model directly, search for variables
to include based upon naming patterns, incorporate interactions, and
identify variables to exclude. A wide range of quality checks are
implemented to identify issues such as misspecified variables,
duplication, a lack of contrast in the inputs, and a large number of
levels in categorical data.  Variables that do not meet these quality
checks can be automatically excluded from the model.  These issues are
documented and reported in a manner that provides greater accountability
and useful information to guide an investigation of the data.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
